<?php
session_start();	
	if (!isset($_SESSION['nazwa'])) {
			header('Location: ../login.php');
			exit();
	}
	if (isset($_POST['zh'])) {
		require_once('../wiras_php/wa_baza/wa_polacz.php');
		if ($_POST['pass1']==$_POST['pass2']) {
			$id = $_POST['sel_pass'];
			$has = password_hash($_POST['pass1'], PASSWORD_DEFAULT);
			$zap = "UPDATE users SET haslo = '$has' WHERE id_user=$id";
			$wykonaj = mysqli_query($db, $zap);
			unset($has);
			if ($wykonaj) {
				addu_komunikat('Hasło dla osoby o ID: '.$id.' zostało zmienione');
			} 	else addu_komunikat('Wystąpił problem z połączeniem!!! Hasło nie zostało zmienione');
		} else
			addu_komunikat('Podane hasła muszą być identyczne, spróbuj jeszcze raz...');
	} else {
		exit();
	}
	
	function addu_komunikat($kom) {
		$_SESSION['addu_kom']=$kom;
		unset($_POST['zh']);
		unset($_POST['sel_pass']);
		unset($_POST['pass1']);
		unset($_POST['pass2']);
		header('Location: ../index.php?m=20');
		return false;
	}		
		
?>